Bug 448786 - Feature request: add a toggle in settings to close kwrite when the open document is closed
Summary: Feature request: add a toggle in settings to close kwrite when the open docum...
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Applications
Component: kwrite (show other bugs)
Version: unspecified
Platform: Other All
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-19 19:00 UTC by Ima S
Modified: 2022-03-30 20:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ima S 2022-01-19 19:00:48 UTC
I'm not really a developer or contributor, and I'm really not sure where to post this, but I have a feature request for a toggle somewhere in the kwrite (and kate, but to a lesser extent) settings to be able to close the editor when the last open document is closed, and to possibly make that the default behavior.

My main point is that kwrite is a single document application, and I usually have a specific file I want to open, edit it, and then to close it with Ctrl+W. This closes the tab, but then creates a new untitled document in the same view, but this is rarely ever what I either want to do or expect to happen. I then need to re-close the entire window, which is annoying. Having it close when the last document is closed would mirror other file viewers like Windows Notepad.
Comment 1 Kåre Särs 2022-01-20 18:56:38 UTC
This has been added some time ago :)

Settings -> Configure Kate... -> Session -> Application Shutdown Behavior -> Close Kate entirely when the last file is closed
Comment 2 Kåre Särs 2022-01-20 19:08:10 UTC
Sorry missed that it was mainly for KWrite..., there it does not work.
Comment 3 Christoph Cullmann 2022-03-30 20:15:05 UTC
Git commit ea043f3c389f6ef32949794573da56fd7462ff7f by Christoph Cullmann.
Committed on 30/03/2022 at 20:09.
Pushed by cullmann into branch 'master'.

add simplified session config

this allows some basic stuff to be configured for KWrite

e.g. should it close on last document, how many recent files
and when to clear meta info

as requested in
Related: bug 438783, bug 425061

overall menu consistency is fixed, too

M  +31   -29   kate/kateconfigdialog.cpp
M  +3    -3    kate/ui/sessionconfigwidget.ui

https://invent.kde.org/utilities/kate/commit/ea043f3c389f6ef32949794573da56fd7462ff7f